diff -uNrd ircd-ratbox-1.3-1/include/client.h BgChat-Ircd/include/client.h
--- ircd-ratbox-1.3-1/include/client.h	Thu Nov 27 15:20:10 2003
+++ BgChat-Ircd/include/client.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  client.h: The ircd client header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: client.h,v 7.206.2.7 2003/11/27 20:20:10 leeh Exp $
+ *  $Id: client.h,v 7.206.2.7 2004/02/11 20:20:10 MaskBg Exp $
  */
 
 #ifndef INCLUDED_client_h
@@ -69,6 +68,9 @@
 {
 	dlink_list channel;	/* chain of channel pointer blocks */
 	dlink_list invited;	/* chain of invite pointer blocks */
+	dlink_list nokick;      /* chain of channels where the user can't be kicked */
+	dlink_list    repeat;         /* chain of last phrases per channel blocks */
+
 	char *away;		/* pointer to away message */
 	time_t last_away;	/* Away since... */
 	time_t last;
@@ -89,6 +91,13 @@
 	dlink_list users;
 };
 
+struct Repeat {
+  struct Channel *chptr;      /* last phrase block */
+  char *text;
+  time_t lastphrase;
+};
+
+
 struct SlinkRpl
 {
 	int command;
@@ -126,6 +135,10 @@
 	unsigned int umodes;	/* opers, normal users subset */
 	unsigned int flags;	/* client flags */
 	unsigned int flags2;	/* ugh. overflow */
+    
+  
+	unsigned int      svsflags;   /* services fl. */
+  
 
 	int hopcount;		/* number of servers to this 0 = local */
 	unsigned short status;	/* Client type */
@@ -384,6 +397,14 @@
 #define UMODE_OPER         0x20000	/* Operator */
 #define UMODE_ADMIN        0x40000	/* Admin on server */
 
+
+#define FLAGS_SILENCE      0x400000 /* user's mode +S */
+#define FLAGS_TRANSWIN     0x1000000 /* translate cyrillic Windows-1251 */
+#define FLAGS_TRANSISO     0x2000000 /* translate cyrillic ISO-8859-5 */
+#define FLAGS_SVS_IDENT    0x00100  /* client has identified with services  */
+#define FLAGS_SVS_ADMIN    0x00200  /* client has identified as services admin  */
+#define FLAGS_SVS_GLINER   0x00400 /* client has identified as gliner admin  */
+
 #define UMODE_ALL	   UMODE_SERVNOTICE
 
 
@@ -420,12 +441,14 @@
 #define FLAGS2_EXEMPTSPAMBOT	0x1000000
 
 #define SEND_UMODES  (UMODE_INVISIBLE | UMODE_OPER | UMODE_WALLOP | \
-                      UMODE_ADMIN)
+                      UMODE_ADMIN | UMODE_CALLERID | FLAGS_SILENCE | \
+				      FLAGS_TRANSWIN | FLAGS_TRANSISO)
 #define ALL_UMODES   (SEND_UMODES | UMODE_SERVNOTICE | UMODE_CCONN | \
                       UMODE_REJ | UMODE_SKILL | UMODE_FULL | UMODE_SPY | \
                       UMODE_NCHANGE | UMODE_OPERWALL | UMODE_DEBUG | \
                       UMODE_BOTS | UMODE_EXTERNAL | UMODE_LOCOPS | \
- 		      UMODE_ADMIN | UMODE_UNAUTH | UMODE_CALLERID | UMODE_OPERSPY)
+ 					  UMODE_ADMIN | UMODE_UNAUTH | UMODE_CALLERID | UMODE_OPERSPY | \
+					  FLAGS_SILENCE | FLAGS_TRANSWIN | FLAGS_TRANSISO)
 
 #define FLAGS_ID     (FLAGS_NEEDID | FLAGS_GOTID)
 
@@ -494,12 +517,29 @@
 #define SetCallerId(x)		((x)->umodes |= UMODE_CALLERID)
 #define IsSetCallerId(x)	((x)->umodes & UMODE_CALLERID)
 
+#define HasSilence(x)           ((x)->umodes & FLAGS_SILENCE)
+#define SetSilence(x)           ((x)->umodes |= FLAGS_SILENCE)
+#define IsSetTransWin(x)        ((x)->umodes & FLAGS_TRANSWIN)
+#define IsSetTransISO(x)        ((x)->umodes & FLAGS_TRANSISO)
+
 #define SetNeedId(x)            ((x)->flags |= FLAGS_NEEDID)
 #define IsNeedId(x)             (((x)->flags & FLAGS_NEEDID) != 0)
 
 #define SetGotId(x)             ((x)->flags |= FLAGS_GOTID)
 #define IsGotId(x)              (((x)->flags & FLAGS_GOTID) != 0)
 
+#define IsNSId(x)               ((x)->svsflags & FLAGS_SVS_IDENT)
+#define SetNSId(x)              ((x)->svsflags |= FLAGS_SVS_IDENT)
+#define ClearNSId(x)            ((x)->svsflags &= ~FLAGS_SVS_IDENT)
+
+#define IsOSId(x)               ((x)->svsflags & FLAGS_SVS_ADMIN)
+#define SetOSId(x)              ((x)->svsflags |= FLAGS_SVS_ADMIN)
+#define ClearOSId(x)            ((x)->svsflags &= ~FLAGS_SVS_ADMIN)
+
+#define SetGLId(x)				((x)->svsflags |= FLAGS_SVS_GLINER)
+#define IsGLId(x)				((x)->svsflags & FLAGS_SVS_GLINER)
+#define ClearGLId(x)			((x)->svsflags &= ~FLAGS_SVS_GLINER);
+
 /*
  * flags2 macros.
  */
@@ -591,5 +631,10 @@
 extern struct User *make_user(struct Client *);
 extern struct Server *make_server(struct Client *);
 
+
+extern char *translate(struct Client *client_p, char *buf);
+void add_nokick_chan(struct Client * cptr, char * chan);
+void del_nokick_chan(struct Client * cptr, char * chan);
+void clear_nokick_list(struct Client * cptr);
 
 #endif /* INCLUDED_client_h */
diff -uNrd ircd-ratbox-1.3-1/include/cluster.h BgChat-Ircd/include/cluster.h
--- ircd-ratbox-1.3-1/include/cluster.h	Thu Jun 26 10:01:40 2003
+++ BgChat-Ircd/include/cluster.h	Mon Mar 29 07:17:54 2004
@@ -1,8 +1,7 @@
 /*
- * ircd-ratbox: A slightly useful ircd.
+ * ircd-hybrid: A slightly useful ircd.
  * cluster.h: The code for handling kline clusters
  *
- * Copyright (C) 2002 ircd-ratbox development team
  *
  * Redistribution and use in source and binary forms, with or without
  * modification, are permitted provided that the following conditions are
diff -uNrd ircd-ratbox-1.3-1/include/common.h BgChat-Ircd/include/common.h
--- ircd-ratbox-1.3-1/include/common.h	Thu Jun 26 10:01:40 2003
+++ BgChat-Ircd/include/common.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  common.h: An ircd header common to most code.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
diff -uNrd ircd-ratbox-1.3-1/include/config.h BgChat-Ircd/include/config.h
--- ircd-ratbox-1.3-1/include/config.h	Thu Jun 26 10:01:40 2003
+++ BgChat-Ircd/include/config.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  config.h: The ircd compile-time-configurable header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -192,7 +191,7 @@
  * If this is undefined, opers will be allowed to see the real IP of spoofed
  * users in /trace etc.  If this is defined they will be shown a masked IP.
  */
-#define HIDE_SPOOF_IPS
+#undef HIDE_SPOOF_IPS
 
 /* TS5_ONLY
  *
diff -uNrd ircd-ratbox-1.3-1/include/config.h.dist BgChat-Ircd/include/config.h.dist
--- ircd-ratbox-1.3-1/include/config.h.dist	Thu Jun 26 10:01:40 2003
+++ BgChat-Ircd/include/config.h.dist	Mon Mar 29 07:17:54 2004
@@ -1,5 +1,5 @@
 /*
- *  ircd-ratbox: an advanced Internet Relay Chat Daemon(ircd).
+ *  ircd-hybrid: an advanced Internet Relay Chat Daemon(ircd).
  *  config.h: The ircd compile-time-configurable header.
  *
  *  Copyright (C) 2002 by the past and present ircd coders, and others.
diff -uNrd ircd-ratbox-1.3-1/include/defaults.h BgChat-Ircd/include/defaults.h
--- ircd-ratbox-1.3-1/include/defaults.h	Sat Sep  6 16:18:11 2003
+++ BgChat-Ircd/include/defaults.h	Mon Mar 29 07:17:54 2004
@@ -1,5 +1,5 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  defaults.h: The ircd defaults header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
@@ -45,13 +45,13 @@
 #define PORTNUM 6667		/* default outgoing portnum */
 #define DEFAULT_PINGFREQUENCY    120	/* Default ping frequency */
 #define DEFAULT_CONNECTFREQUENCY 600	/* Default connect frequency */
-#define TS_MAX_DELTA_MIN      10	/* min value for ts_max_delta */
+#define TS_MAX_DELTA_MIN      19000	/* min value for ts_max_delta */
 #define TS_MAX_DELTA_DEFAULT  600	/* default for ts_max_delta */
-#define TS_WARN_DELTA_MIN     10	/* min value for ts_warn_delta */
-#define TS_WARN_DELTA_DEFAULT 30	/* default for ts_warn_delta */
+#define TS_WARN_DELTA_MIN     10000	/* min value for ts_warn_delta */
+#define TS_WARN_DELTA_DEFAULT 30000	/* default for ts_warn_delta */
 /* ServerInfo default values */
-#define NETWORK_NAME_DEFAULT "EFnet"	/* default for network_name */
-#define NETWORK_DESC_DEFAULT "Eris Free Network"	/* default for network_desc */
+#define NETWORK_NAME_DEFAULT "BgChat"	/* default for network_name */
+#define NETWORK_DESC_DEFAULT "BgChat Network"	/* default for network_desc */
 /* General defaults */
 #define CLIENT_FLOOD_DEFAULT 20	/* default for client_flood */
 #define CLIENT_FLOOD_MAX     2000
diff -uNrd ircd-ratbox-1.3-1/include/event.h BgChat-Ircd/include/event.h
--- ircd-ratbox-1.3-1/include/event.h	Thu Jun 26 10:01:40 2003
+++ BgChat-Ircd/include/event.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  event.h: The ircd event header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: event.h,v 1.18.4.1 2003/06/26 14:01:40 androsyn Exp $
+ *  $Id: event.h,v 1.18.4.1 2004/02/11 14:01:40 MaskBg Exp $
  */
 
 #ifndef INCLUDED_event_h
diff -uNrd ircd-ratbox-1.3-1/include/fdlist.h BgChat-Ircd/include/fdlist.h
--- ircd-ratbox-1.3-1/include/fdlist.h	Thu Jun 26 10:01:40 2003
+++ BgChat-Ircd/include/fdlist.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  fdlist.h: The file descriptor list header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fdlist.h,v 7.32.2.1 2003/06/26 14:01:40 androsyn Exp $
+ *  $Id: fdlist.h,v 7.32.2.1 2004/02/03 14:01:40 Haker4o Exp $
  */
 
 #ifndef INCLUDED_fdlist_h
diff -uNrd ircd-ratbox-1.3-1/include/fileio.h BgChat-Ircd/include/fileio.h
--- ircd-ratbox-1.3-1/include/fileio.h	Fri Jun 27 10:22:52 2003
+++ BgChat-Ircd/include/fileio.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  fileio.h: The file input/output header.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: fileio.h,v 7.15.4.2 2003/06/27 14:22:52 androsyn Exp $
+ *  $Id: fileio.h,v 7.15.4.2 2004/02/01 14:22:52 MaskBg Exp $
  */
 
 #ifndef INCLUDED_fileio_h
diff -uNrd ircd-ratbox-1.3-1/include/handlers.h BgChat-Ircd/include/handlers.h
--- ircd-ratbox-1.3-1/include/handlers.h	Thu Jun 26 10:01:40 2003
+++ BgChat-Ircd/include/handlers.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  fileio.h: A header for some built in command handlers.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: handlers.h,v 7.47.2.1 2003/06/26 14:01:40 androsyn Exp $
+ *  $Id: handlers.h,v 7.47.2.1 2004/02/01 14:01:40 HaKer4o Exp $
  */
 
 #ifndef INCLUDED_handlers_h
diff -uNrd ircd-ratbox-1.3-1/include/hash.h BgChat-Ircd/include/hash.h
--- ircd-ratbox-1.3-1/include/hash.h	Thu Jun 26 10:01:41 2003
+++ BgChat-Ircd/include/hash.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  hash.h: A header for the ircd hashtable code.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
diff -uNrd ircd-ratbox-1.3-1/include/hook.h BgChat-Ircd/include/hook.h
--- ircd-ratbox-1.3-1/include/hook.h	Thu Jun 26 10:01:41 2003
+++ BgChat-Ircd/include/hook.h	Mon Mar 29 07:17:54 2004
@@ -1,10 +1,9 @@
 /*
- *  ircd-ratbox: A slightly useful ircd.
+ *  ircd-hybrid: A slightly useful ircd.
  *  hook.h: A header for the hooks into parts of ircd.
  *
  *  Copyright (C) 1990 Jarkko Oikarinen and University of Oulu, Co Center
  *  Copyright (C) 1996-2002 Hybrid Development Team
- *  Copyright (C) 2002 ircd-ratbox development team
  *
  *  This program is free software; you can redistribute it and/or modify
  *  it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: hook.h,v 1.22.2.1 2003/06/26 14:01:41 androsyn Exp $
+ *  $Id: hook.h,v 1.22.2.1 2004/02/01 14:01:41 MaskBg Exp $
  */
 
 #ifndef __HOOK_H_INCLUDED
